using System;
namespace CallCenterApi.Model
{
	/// <summary>
	/// 1
	/// </summary>
	[Serializable]
	public partial class T_Sys_Function
	{
		public T_Sys_Function()
		{}
		#region Model
		private int _f_functionid;
		private string _f_functionname;
		private string _f_functioncode;
		private int? _f_parentid;
		private int? _f_state;
		private int? _f_layer;
		private int? _f_flag;
		private int? _f_sort;
		private string _f_opturl;
		private string _f_imgurl;
		private string _f_remark;
		/// <summary>
		/// 功能id
		/// </summary>
		public int F_FunctionId
		{
			set{ _f_functionid=value;}
			get{return _f_functionid;}
		}
		/// <summary>
		/// 功能名称
		/// </summary>
		public string F_FunctionName
		{
			set{ _f_functionname=value;}
			get{return _f_functionname;}
		}
		/// <summary>
		/// 功能代码
		/// </summary>
		public string F_FunctionCode
		{
			set{ _f_functioncode=value;}
			get{return _f_functioncode;}
		}
		/// <summary>
		/// 父节点id
		/// </summary>
		public int? F_ParentId
		{
			set{ _f_parentid=value;}
			get{return _f_parentid;}
		}
		/// <summary>
		/// 是否启用（0：未启用，1：已启用）
		/// </summary>
		public int? F_State
		{
			set{ _f_state=value;}
			get{return _f_state;}
		}
		/// <summary>
		/// 功能级别(1级节点，2级节点)
		/// </summary>
		public int? F_Layer
		{
			set{ _f_layer=value;}
			get{return _f_layer;}
		}
		/// <summary>
		/// 节点标志（0：叶子节点，1：非叶子节点）
		/// </summary>
		public int? F_flag
		{
			set{ _f_flag=value;}
			get{return _f_flag;}
		}
		/// <summary>
		/// 排序
		/// </summary>
		public int? F_Sort
		{
			set{ _f_sort=value;}
			get{return _f_sort;}
		}
		/// <summary>
		/// 功能地址
		/// </summary>
		public string F_OptUrl
		{
			set{ _f_opturl=value;}
			get{return _f_opturl;}
		}
		/// <summary>
		/// 图标路径
		/// </summary>
		public string F_ImgUrl
		{
			set{ _f_imgurl=value;}
			get{return _f_imgurl;}
		}
		/// <summary>
		/// 备注
		/// </summary>
		public string F_Remark
		{
			set{ _f_remark=value;}
			get{return _f_remark;}
		}
		#endregion Model

	}
}

